Subject: Re: bug#30243: 26.0.91; Infinite recursion in `make-auto-save-file-name' for quoted filenames

From: Michael Albinus <[email-masked]>
Date: Fri, 02 Feb 2018 18:56:49 +0100

Noam Postavsky <[email-masked]> writes:

Hi Noam,

> I'v pushed to master.
>
> [1: 65da409e41]: 2018-02-01 20:14:57 -0500
>   Test and fix "/:" quoted file name handlers (Bug#30243)
>   https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=65da409e411a0cdfa1932d21ce8a7f87ceae9e25
>
> [2: 00c65bcf4e]: 2018-02-01 20:15:11 -0500
>   Use file-name-quote{,d-p} in files-tests.el
>   https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=00c65bcf4ee8ca4ce04ad46907de29c832b8310b
>
> [3: e08de2bae2]: 2018-02-01 20:15:12 -0500
>   Handle quoted file names in filenotify.el
>   https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=e08de2bae2a8e91c0245259dfcbfdca1d191a119

Thanks. I did rerun filenotify-tests.el interactively, after applying
(setq temporary-file-directory (file-name-quote temporary-file-directory))

And indeed, the tests for a quoted remote temporary-file-directory did
fail. Fixed now, and pushed to master.

I've also extended files-tests-file-name-non-special-quote-unquote with
some more quoting/unquoting scenarii.

Best regards, Michael.